#!/usr/bin/env ruby
require 'uri'
require 'net/http'

# Taken from ThisService Ruby service script example.
$KCODE = 'u'
uri = STDIN.gets(nil).strip.delete("\n\r")
unless uri.empty?
  begin
    escaped_uri = URI.escape("http://bit.ly/api?url=#{uri}")
    n = Net::HTTP.get_response(URI.parse(escaped_uri)).body
    IO.popen('pbcopy', 'w').print n
    STDOUT << n
  rescue URI::InvalidURIError
    # Do nothing.
  end
end